<?php
/* 
 * Ruft die Debug- und Lizenzfunktionen auf
 */
 /*
 * licence.main.php
*/


require_once $oPlugin->cAdminmenuPfad . 'inc/class.agws_plugin_all.helper.php';

$helper = agwsPluginHelperAll::getInstance($oPlugin);

/*Debug und Lizenzprfung*/
$agws_debug_syslog = $oPlugin->cPluginID.'_debug_syslog';
$agws_debug_syslog = intval($oPlugin->oPluginEinstellungAssoc_arr[$agws_debug_syslog]);

if ($agws_debug_syslog == 1) Jtllog::writeLog($oPlugin->cPluginID.' - AGWS Lizenzpr&uuml;fung 2.00 f&uuml;r Plugin '.$oPlugin->cPluginID.' in Version '.$oPlugin->nVersion, JTLLOG_LEVEL_DEBUG);

$agws_parse_url_shop = parse_url(URL_SHOP);

if ( $_SERVER["HTTP_HOST"] == "localhost" || $_SERVER["HTTP_HOST"] == "127.0.0.1" || $_SERVER["HTTP_HOST"] == "t2.jtl-shop.de" || $_SERVER["HTTP_HOST"] == "t3.jtl-shop.de" || $_SERVER["HTTP_HOST"] == "t4.jtl-shop.de" || strpos($_SERVER["HTTP_HOST"],"ag-websolutions.de")!==false || strpos($_SERVER["HTTP_HOST"],"test3.jtl-hosting.de")!==false ||
     $agws_parse_url_shop['host'] == "localhost" || $agws_parse_url_shop['host'] == "127.0.0.1" || $agws_parse_url_shop['host'] == "t2.jtl-shop.de" || $agws_parse_url_shop['host'] == "t3.jtl-shop.de" || $agws_parse_url_shop['host'] == "t4.jtl-shop.de" || strpos($agws_parse_url_shop['host'],"ag-websolutions.de")!==false || strpos($agws_parse_url_shop['host'],"test3.jtl-hosting.de")!==false )
{
    if ($agws_debug_syslog == 1) Jtllog::writeLog($oPlugin->cPluginID.' - Lokale- / JTL-Testumgebung ('.$_SERVER["HTTP_HOST"].'), breche Pr&uuml;fung ab', JTLLOG_LEVEL_DEBUG);

} else
{

    //Pruefe ob SESSION-Eintrag vorhanden
    $agws_check_session_var = 'agws_check_session_var_'.$oPlugin->cPluginID;
    $agws_check_session_val =  md5($oPlugin->cPluginID.'valid');

    if (!isset($_SESSION[$agws_check_session_var]) || $_SESSION[$agws_check_session_var] != $agws_check_session_val)
    {
        if ($agws_debug_syslog == 1) Jtllog::writeLog($oPlugin->cPluginID.' - SESSION-Wert nicht vorhanden, setze Pr&uuml;fung fort', JTLLOG_LEVEL_DEBUG);
        if(file_exists($oPlugin->cLicencePfad.'licence.check.php'))
        {
            include_once($oPlugin->cLicencePfad.'licence.check.php');
        }elseif(!function_exists('agws_checklicence_v3'))
        {
            if ($agws_debug_syslog == 1) Jtllog::writeLog('### AGWS - '.$oPlugin->cPluginID.' - licence.check.php und agws_checklicence_v3 nicht verf&uuml;gbar. Plugin wird deaktiviert.', JTLLOG_LEVEL_ERROR, false, "kPlugin", $oPlugin->kPlugin);
            aenderPluginStatus('1', $oPlugin->kPlugin);

            if ($helper->isShop4()) {
                aenderPluginStatus('3', $oPlugin->kPlugin);
                Shop::Cache()->flushTags(array(CACHING_GROUP_CORE, CACHING_GROUP_LANGUAGE, CACHING_GROUP_PLUGIN));
            }

            exit();
        }

        $agws_CheckURL = 'http://shop.ag-websolutions.de/';
        $agws_ShopURL = URL_SHOP;
        $agws_PluginID = $oPlugin->cPluginID;
        $agws_PluginVersion = $oPlugin->nVersion;
        $agws_Lizenzpruefung = agws_checklicence_v3($oPlugin, $agws_CheckURL, $agws_PluginID, $agws_PluginVersion, $agws_ShopURL, $agws_debug_syslog);
        if($agws_Lizenzpruefung == false)
        {
            if ($agws_debug_syslog == 1) Jtllog::writeLog('### AGWS - '.$oPlugin->cPluginID.' - Lizenzpr&uuml;fung negativ. Plugin wird deaktiviert.', JTLLOG_LEVEL_ERROR, false, "kPlugin", $oPlugin->kPlugin);
            aenderPluginStatus('1', $oPlugin->kPlugin);

            if ($helper->isShop4()) {
                aenderPluginStatus('3', $oPlugin->kPlugin);
                Shop::Cache()->flushTags(array(CACHING_GROUP_CORE, CACHING_GROUP_LANGUAGE, CACHING_GROUP_PLUGIN));
            }

            exit();
        }
    } else
    {
        if ($agws_debug_syslog == 1) Jtllog::writeLog($oPlugin->cPluginID.' - SESSION-Wert vorhanden, breche Pr&uuml;fung ab', JTLLOG_LEVEL_DEBUG);
    }
}
/*Debug und Lizenzprfung ENDE*/