<?php

function gibArtikelXSellingPro($kArtikel, $sortBy) {
    $kArtikel = intval($kArtikel);

    if (!$kArtikel > 0)
        return;

    $Xselling = new stdClass();
        $Xselling->Standard = new stdClass();
        $cSQLLager = gibLagerfilter();
        $xsell = $GLOBALS["DB"]->executeQuery("SELECT txsell.* from txsell, tartikel
												WHERE txsell.kXSellArtikel = tartikel.kArtikel " . $cSQLLager . "
													AND txsell.kArtikel = " . $kArtikel . "
												ORDER BY " . $sortBy, 2);
        if (count($xsell) > 0) {
            $xsellgruppen = array();
            foreach ($xsell as $xs) {
                if (!in_array($xs->kXSellGruppe, $xsellgruppen))
                    array_push($xsellgruppen, $xs->kXSellGruppe);
            }
            $Xselling->Standard->XSellGruppen = array();
            for ($i = 0; $i < count($xsellgruppen); $i++) {
                if ($_SESSION['kSprache'] > 0) {
                    //lokalisieren
                    $objSprache = $GLOBALS["DB"]->executeQuery("select cName, cBeschreibung
																from txsellgruppe
																where kXSellGruppe=" . $xsellgruppen[$i] . "
																	AND kSprache=" . $_SESSION['kSprache'], 1);

                    $Xselling->Standard->XSellGruppen[$i] = new stdClass();
                    $Xselling->Standard->XSellGruppen[$i]->Name = $objSprache->cName;
                    $Xselling->Standard->XSellGruppen[$i]->Beschreibung = $objSprache->cBeschreibung;
                }
                $Xselling->Standard->XSellGruppen[$i]->Artikel = array();
                foreach ($xsell as $xs) {
                    if ($xs->kXSellGruppe == $xsellgruppen[$i]) {
                        $artikel = new Artikel();
                        $oArtikelOptionen = new stdClass();
                        $oArtikelOptionen->nMerkmale = 1;
                        $oArtikelOptionen->nAttribute = 1;
                        $oArtikelOptionen->nArtikelAttribute = 1;
                        $oArtikelOptionen->nFinanzierung = 1;
                        $oArtikelOptionen->nMain = 1;
                        $artikel->fuelleArtikel($xs->kXSellArtikel, $oArtikelOptionen);

                        if ($artikel->fUVP > 0) {
                            if ($_SESSION["Kundengruppe"]->nNettoPreise == 1) {
                                $artikel->fUVP = $artikel->fUVP / (1 + gibUst($artikel->kSteuerklasse) / 100);
                                $artikel->SieSparenX->nProzent=round((($artikel->fUVP-$artikel->Preise->fVKNetto) * 100)/$artikel->fUVP);
                                $artikel->SieSparenX->fSparbetrag = $artikel->fUVP-$artikel->Preise->fVKNetto;
                                $artikel->SieSparenX->cLocalizedSparbetrag=gibPreisStringLocalized($artikel->SieSparenX->fSparbetrag);
                            } else {
                                $artikel->SieSparenX->nProzent=round((($artikel->fUVP-berechneBrutto($artikel->Preise->fVKNetto,gibUst($artikel->kSteuerklasse)))*100)/$artikel->fUVP);
                                $artikel->SieSparenX->fSparbetrag = $artikel->fUVP-berechneBrutto($artikel->Preise->fVKNetto,gibUst($artikel->kSteuerklasse));
                                $artikel->SieSparenX->cLocalizedSparbetrag=gibPreisStringLocalized($artikel->SieSparenX->fSparbetrag);
                            }
                            $artikel->UVP->cUVPloc = gibPreisStringLocalized($artikel->fUVP);
                            $artikel->UVP->cUVPBruttoloc = gibPreisStringLocalized($artikel->fUVPBrutto);
                        }

                        if ($artikel->kArtikel > 0 && $artikel->aufLagerSichtbarkeit())
                            array_push($Xselling->Standard->XSellGruppen[$i]->Artikel, $artikel);
                    }
                }
            }
        }

    return $Xselling;
}

function holeKategorieBeschreibung($kat_flag, $limit=1)
{
    $cLimit = (int)$limit;

    if ($_SESSION['kSprache'] == 1) {
        $cSQL = "tkategorie.kKategorie = '" . $kat_flag . "'";
        $obj = $GLOBALS['DB']->executeQuery("SELECT tkategorie.kKategorie, tkategorie.cBeschreibung
											FROM tkategorie
											WHERE " . $cSQL . "
											LIMIT 0," . $cLimit."", 1);
    } else {
        $cSQL = "tkategoriesprache.kKategorie = '" . $kat_flag . "' AND tkategoriesprache.kSprache = '" .$_SESSION['kSprache']."'";
        $obj = $GLOBALS['DB']->executeQuery("SELECT tkategoriesprache.kKategorie, tkategoriesprache.cBeschreibung
											FROM tkategoriesprache
											WHERE " . $cSQL . "
											LIMIT 0," . $cLimit."", 1);
    }

    return $obj;
}

function holeKategorieArtikelID($kat_flag, $limit, $agws_xselltab_pro_sortby)
{
    $cSQL = "tkategorieartikel.kKategorie = '" . $kat_flag . "'";
    $cLimit = (int)$limit;

    $obj = $GLOBALS['DB']->executeQuery("SELECT tartikel.kArtikel, tkategorieartikel.kArtikel, tkategorieartikel.kKategorie
											FROM tartikel, tkategorieartikel
											WHERE " . $cSQL . "
											AND tkategorieartikel.kArtikel = tartikel.kArtikel
											ORDER BY " . $agws_xselltab_pro_sortby . "
											LIMIT 0," . $cLimit."", 2);

    return $obj;
}

function holeArtikelID($cAttAktArtikel_arr)
{
    $cSQL = "cArtNr = '" . $cAttAktArtikel_arr . "'";

    $obj = $GLOBALS['DB']->executeQuery("SELECT kArtikel, cArtNr
														FROM tartikel
														WHERE " . $cSQL . "LIMIT 1", 2);

    if(is_array($obj) && count($obj) > 0) {
        foreach($obj as $obj)
        {
            return $obj->kArtikel;
        }
    }
}

function fuelleXsellArtikel($xsellArtikel_ID)
{
    $xsellArtikel = new Artikel();
    unset($oArtikelOptionen);
    $oxsellArtikelOptionen = new stdClass;
    $oxsellArtikelOptionen->nMerkmale = 1;
    $oxsellArtikelOptionen->nAttribute = 1;
    $oxsellArtikelOptionen->nArtikelAttribute = 1;
    $oxsellArtikelOptionen->nFinanzierung = 1;
    $xsellArtikel->fuelleArtikel($xsellArtikel_ID, $oxsellArtikelOptionen);
    //$xsellArtikel->holeBewertungDurchschnitt(1);

    return $xsellArtikel;
}