{foreach name=Xsell_gruppen from=$oXSelling_desktop->Standard->XSellGruppen item=Gruppe}
    {if isset($Gruppe->Artikel) && count($Gruppe->Artikel)>0}
        {if $agws_xselltab_pro_tplstep == "step1"}
            <div role="tabpanel" class="tab-pane" id="tab-{$Gruppe->Name|lower|regex_replace:"/[^0-9_a-zA-Z]/":""}">
                <div class="panel-heading" {if isset($tabanzeige) && $tabanzeige}data-toggle="collapse"
                     {/if}data-parent="#article-tabs"
                     data-target="#tab-{$Gruppe->Name|lower|regex_replace:"/[^0-9_a-zA-Z]/":""}">
                    <h3 class="panel-title">{$Gruppe->Name}</h3>
                </div>

                <div class="tab-content-wrapper">
                    <div class="panel-body">
                        {if $PluginEinstellungen.agws_xselltab_pro_darstellung == "list"}
                            {assign var="style" value="list"}
                            {assign var="grid" value="col-xs-12"}
                        {elseif $PluginEinstellungen.agws_xselltab_pro_darstellung == "gallery"}
                            {assign var="style" value="gallery"}
                            {assign var="grid" value="col-xs-6 col-lg-4"}
                        {elseif $PluginEinstellungen.agws_xselltab_pro_darstellung == "mosaic"}
                            {assign var="style" value="mosaic"}
                            {assign var="grid" value="col-xs-6 col-lg-3"}
                        {/if}
                        <div class="row {$style}" id="product-list">
                            <span class="xsell_group_description">{$Gruppe->Beschreibung}</span>
                            <hr>
                            {foreach name=Xsell_Artikel from=$Gruppe->Artikel item=Artikel}
                                <div class="product-wrapper {$grid}">
                                    {if $style === 'list'}
                                        {include file=$oPlugin_agws_xselltab_pro->cFrontendPfad|cat:'templates/'|cat:'/agws_xselltab_pro_registertab_list.tpl' tplscope=$style}
                                    {else}
                                        {include file=$oPlugin_agws_xselltab_pro->cFrontendPfad|cat:'templates/'|cat:'/agws_xselltab_pro_registertab_box.tpl' tplscope=$style class='thumbnail'}
                                    {/if}
                                </div>
                            {/foreach}
                            {if isset($oXSelling_desktop->katlink_text) && $oXSelling_desktop->katlink_text|@count_characters > 0}
                                <div class="xselltab_kat_link"><a
                                            href="index.php?k={$oXSelling_desktop->katlink_id}">{$oXSelling_desktop->katlink_text}</a>
                                </div>
                            {/if}
                        </div>
                    </div>
                </div>
            </div>
        {/if}
        {if $agws_xselltab_pro_tplstep == "step2"}
            <li role="presentation">
                <a href="#tab-{$Gruppe->Name|lower|regex_replace:"/[^0-9_a-zA-Z]/":""}"
                   aria-controls="tab-{$Gruppe->Name|lower|regex_replace:"/[^0-9_a-zA-Z]/":""}" role="tab"
                   data-toggle="tab">
                    {$Gruppe->Name}
                </a>
            </li>
        {/if}
        {if $agws_xselltab_pro_tplstep == "step3"}
            <div role="tabpanel" class="tab-pane fade"
                 id="tab-{$Gruppe->Name|lower|regex_replace:"/[^0-9_a-zA-Z]/":""}">
                {if $PluginEinstellungen.agws_xselltab_pro_darstellung == "list"}
                    {assign var="style" value="list"}
                    {assign var="grid" value="col-xs-12"}
                {elseif $PluginEinstellungen.agws_xselltab_pro_darstellung == "gallery"}
                    {assign var="style" value="gallery"}
                    {assign var="grid" value="col-xs-6 col-lg-4"}
                {elseif $PluginEinstellungen.agws_xselltab_pro_darstellung == "mosaic"}
                    {assign var="style" value="mosaic"}
                    {assign var="grid" value="col-xs-6 col-lg-3"}
                {/if}
                <div class="tab-content-wrapper">
                    <div class="row {$style}" id="product-list">
                        <span class="xsell_group_description" style="padding-left: 15px;">{$Gruppe->Beschreibung}</span>
                        <hr>
                        {foreach name=Xsell_Artikel from=$Gruppe->Artikel item=Artikel}
                            <div class="product-wrapper {$grid}">
                                {if $style === 'list'}
                                    {include file=$oPlugin_agws_xselltab_pro->cFrontendPfad|cat:'templates/'|cat:'/agws_xselltab_pro_registertab_list.tpl' tplscope=$style}
                                {else}
                                    {include file=$oPlugin_agws_xselltab_pro->cFrontendPfad|cat:'templates/'|cat:'/agws_xselltab_pro_registertab_box.tpl' tplscope=$style class='thumbnail'}
                                {/if}
                            </div>
                        {/foreach}
                        {if isset($oXSelling_desktop->katlink_text) && $oXSelling_desktop->katlink_text|@count_characters > 0}
                            <div class="xselltab_kat_link"><a
                                        href="index.php?k={$oXSelling_desktop->katlink_id}">{$oXSelling_desktop->katlink_text}</a>
                            </div>
                        {/if}
                    </div>
                </div>
            </div>
        {/if}
    {/if}
{/foreach}