Endbenutzer-Lizenz- und Subskriptionsvereinbarung (EULA)
==============================================================

für die von ag-websolutions.de hergestellte Plugins (Zusatzprogramme) für die e-Commerce-Software "JTL-Shop"


0 Präambel
----------

ag-websolutions.de hat im Rahmen ihrer Software-Entwicklung Plugins (Zusatzprogramme) - im Folgenden Software genannt - für die e-Commerce-Software "JTL-Shop" entwickelt, die Ihnen als Endbenutzer zur Nutzung in Form von Softwarelizenzen zur Verfügung gestellt werden.

Diese Endbenutzer-Lizenz- und Subskriptionsvereinbarung (End User Licence and Subscription Agreement, im weiteren kurz 'EULA') betrifft die Überlassung der Software durch ag-websolutions.de, Inhaberin: Anja Rütten, Pannengasse 24, 50181 Bedburg ('ag-websolutions') an Unternehmer im Sinne von § 14 BGB, Kaufleute, juristischen Personen des öffentlichen Rechts oder ein öffentlich-rechtliches Sondervermögen ('Lizenznehmer').


1 Allgemeine Lizenz-Bestimmungen
--------------------------------

1.1 Die vorliegende Endbenutzer-Lizenz- und Subskriptionsvereinbarung (End User Licence and Subscription Agreement, kurz 'EULA') ist ein rechtsgültiger Vertrag zwischen Ihnen als Lizenznehmer und ag-websolutions. Er regelt die Nutzungsbedingungen für die von Ihnen erworbene Softwarelizenz. Die EULA gilt ausschließlich. Der Vorrang individueller Vereinbarungen zwischen ag-websolutions und dem Lizenznehmer bleibt hiervon unberührt. Die jeweils aktuelle Fassung dieser Lizenzvereinbarung ist jederzeit auf der Internetseite von ag-websolutions unter http://shop.ag-websolutions.de/EULA abrufbar.

1.2 Die Software umfasst maschinenlesbare Computer-Programme, teilweise Quellcode sowie Dokumentationen im elektronischen Format.

1.3 Der Funktionsumfang der Software sowie Hinweise zur Benutzung werden ausführlich auf den Internetseiten von ag-websolutions dargestellt. Die Dokumentation kann unabhängig von Installation, Ingebrauchnahme oder Erwerb der Software auf den Internetseiten von ag-websolutions eingesehen werden.

1.4 Indem Sie die Software installieren, kopieren oder anderweitig verwenden, erklären Sie sich mit den Bestimmungen der vorliegenden EULA einverstanden. Abweichende oder ergänzende Allgemeine Geschäftsbedingungen des Lizenznehmers finden keine Anwendung. Ihrer Geltung wird hiermit ausdrcklich widersprochen, auch für den Fall, dass ag-websolutions in Kenntnis der Allgemeinen Geschäftsbedingungen des Lizenznehmers mit diesem den Lizenzvertrag abschließt.

1.5 Falls Sie diesen Bestimmungen nicht zustimmen, sind Sie nicht berechtigt, die Software zu installieren oder zu nutzen.

1.6 Die Software ist sowohl durch Urheberrechtsgesetze und internationale Urheberrechtsverträge geschützt, als auch durch andere Gesetze und Vereinbarungen über geistiges Eigentum. Die Software wird lizenziert, nicht verkauft.


2 Nutzungsbedingungen
---------------------
Mit der Annahme des Vertrags gewährt ag-websolutions Ihnen als Lizenznehmer eine nicht ausschließliche, zeitlich unbefristete Lizenz zur Nutzung der Software, sofern Sie den folgenden Bedingungen zustimmen:

2.1 Sie sind berechtigt, die Software auf einem Server zu installieren und bestimmungsgemäß zu nutzen.

2.2 Sie sind berechtigt, Sicherungskopien der Software anzufertigen.

2.3 Sie sind berechtigt, die Software unter einer einzigen Domäne zu betreiben.

2.4 Sie sind berechtigt, die Software zu Testzwecken zu installieren (siehe hierzu 12).

2.5 Sie sind nicht berechtigt, die Software oder Teile der Software zu veräußern oder zu vermieten, zu verpachten oder zu verleasen.

2.6 Sie sind nicht berechtigt, Unterlizenzen an Dritte zu erteilen, sofern keine gesonderte schriftliche Vereinbarung zwischen Ihnen und ag-websolutions vorliegt (Reseller-Vereinbarung). Zudem ist die Lizenz nicht ohne vorherige schriftliche Zustimmung von ag-websolutions auf Dritte übertragbar.

2.7 Sie sind nicht berechtigt, Vervielfältigungen vorzunehmen, die zur bestimmungsgemäßen Benutzung dieser Software nicht erforderlich sind.

2.8 Sie sind nicht berechtigt, die Software zurück zu entwickeln (Reverse Engineering), zu dekompilieren oder zu disassemblieren, es sei denn und nur insoweit, wie das anwendbare Recht ungeachtet dieser Beschränkung dies ausdrücklich gestattet.


3 Vertragsgegenstand
--------------------

3.1 Für die Beschaffenheit und Funktionalität der von ag-websolutions gelieferten Software ist die im Zeitpunkt des Vertragsschlusses gültige und auf der Internetpräsenz von ag-websolutions in der jeweils aktuellen Fassung jederzeit frei abrufbare Leistungsbeschreibung der Software abschließend maßgeblich.
Eine über die Leistungsbeschreibung hinausgehende Beschaffenheit der Software schuldet ag-websolutions nicht. Eine solche Verpflichtung kann der Lizenznehmer insbesondere nicht aus anderen Darstellungen der Software in öffentlichen Äußerungen oder in der Werbung Dritter herleiten, es sei denn, ag-websolutions hat dem Lizenznehmer die über die Leistungsbeschreibung hinausgehende Beschaffenheit zugesichert. Als durch ag-websolutions zugesichert gelten insoweit nur solche Eigenschaften der Software, die von ag-websolutions vor dem Abschluss dieses Lizenzvertrags ausdrücklich gegenüber dem Lizenznehmer schriftlich geäußert und als zugesicherte Eigenschaften bezeichnet worden sind. Die Interoperabilität mit der beim Lizenznehmer vorhandenen Hard- und Software ist keine geschuldete Beschaffenheit der Software, soweit in der Leistungsbeschreibung nicht ausdrücklich kompatible Hard- und Software ausgewiesen ist.

3.2 ag-websolutions weist den Lizenznehmer ausdrücklich darauf hin, dass die Software nur betrieben werden kann, wenn ihr zur Laufzeit ein Zugriff über das Internet auf die Computer von ag-websolutions zum Zweck der Gültigkeitsprüfung der Lizenz ermöglicht wird und insoweit eine Internetverbindung zum Betrieb der Software erforderlich ist. Im Rahmen dieser regelmäßigen Gültigkeitsprüfung werden folgende Daten an ag-websolutions übertragen:
- Domäne auf der zum Zeitpunkt der Gültigkeitsprüfung die Software installiert ist
- eindeutige Software-Kennung (Plugin-ID)
- Software-Version
Sollte zum Zeitpunkt der Gültigkeitsprüfung ein Versionsstand der Software eingesetzt werden, für den keine gültige Subskription vorliegt, so deaktiviert sich die Software automatisch. Eine erneute Aktivierung und Weiternutzung der Software ist dann nur möglich, wenn eine neue Subskription erworben wird.


4 Auslieferung und Installation
-------------------------------

4.1 ag-websolutions verpflichtet sich, dem Lizenznehmer die Software in maschinenlesbarer Form zu überlassen. Teile der Software, die vom Lizenznehmer oder durch von ihm beauftragte Dritte konfiguriert und erweitert werden können, werden im Quellcode ausgeliefert. Die übrigen Teile der Software sind gegebenenfalls durch die im Basis-System verwendete Verschlüsselungsmethode verschlüsselt.

4.2 Die kostenpflichtige Installation, Anpassung und Abnahme der Software auf einem Server kann durch ag-websolutions oder durch einen von Ihnen beauftragten Dritten erfolgen.


5 Subskription für Support, Verbesserungen (Updates) und Weiterentwicklungen (Upgrades)
---------------------------------------------------------------------------------------

5.1 Mit Erwerb der Lizenz erhält der Lizenznehmer kostenfrei eine 12-monatige Subskription für Support, Verbesserungen und Weiterentwicklungen.

5.2 Die Subskription beinhaltet folgende Leistungen:
- Kostenlose Bereitstellung von Software-Updates und -Upgrades, die ag-websolutions im Rahmen der Software-Aktualisierung und Fehlerbeseitigung vornimmt.
- Kostenlose Bereitstellung der aktualisierten Standard-Software-Dokumentation in elektronischer Form
- Anforderung von kostenfreiem Support über das Ticketsystem von ag-websolutions (erreichbar über: http://helpdesk.ag-websolutions.de )

Die Subskription bezieht sich ausschlieülich auf die Software, nicht auf Installationsleistungen. Diese werden als Supportleistungen fakturiert.

5.3 Wenn die Software als Update/Upgrade gekennzeichnet ist, müssen Sie über die entsprechende Lizenz und eine gültige Subskription für die Software verfügen, um das Update/Upgrade verwenden zu dürfen.

5.4 Bis zu 4 Wochen nach Ablauf einer Subskription kann eine 12-monatige Verlängerung der Subskription erworben werden. Der Lizenznehmer erhält rechtzeitig vor Ablauf der Subskription eine Erinnerungs-E-Mail zum Verlängern der Subskription um weitere 12 Monate. Nach Ablauf dieser 4 Wochen-Frist kann keine Verlängerungs-Subskription mehr erworben werden. Sofern der Lizenznehmer in diesem Fall die unter Ziff. 5.2 genannten Leistungen ganz oder in Teilen in Anspruch nehmen möchte, muss eine Reaktivierungs-Subskription zum Preis einer Erst-Lizenz erworben werden. Die Laufzeit dieser Reaktivierungs-Subskription beträgt ebenfalls 12 Monate. Im Übrigen gelten für diese Subskription die Regelungen aus dieser EULA.

5.5 Drittanbieter-Software ist von der Regelung der EULA ausgeschlossen.


6 Urheberrecht
--------------

6.1 Die Software und die von der Software hergestellten Kopien sind geistiges Eigentum der ag-websolutions.de. Die Software ist durch Urheberrechtsgesetze und internationale Urheberrechtsbestimmungen geschützt. Sie sind verpflichtet, die Software wie jedes andere durch das Urheberrecht geschützte Material zu behandeln. Sie dürfen die Software nur im Rahmen der vorliegenden Lizenzvereinbarungen nutzen.

6.2 Warenzeichen sind gemäß den anerkannten Warenzeichenpraktiken anzuwenden. Es ist Ihnen nicht gestattet, Warenzeichen oder Vermerke über Urheberrechte ('Copyrights') aus den gelieferten Programmteilen zu entfernen.


7 Ausfuhrbeschränkungen
-----------------------

7.1 Sie erklären sich damit einverstanden, dass Sie die Software oder Teile davon nicht in irgendein Land exportieren oder übermitteln, in das ein solcher Export oder eine solche Übermittlung durch die jeweils anwendbaren US-Bestimmungen oder Gesetze oder deutschen Bestimmungen
beschränkt ist.


8 Kontakt
---------

8.1 Sofern Sie irgendwelche Fragen zu der vorliegenden EULA haben oder aus einem anderen Grund Kontakt mit ag-websolutions aufnehmen möchten, wenden Sie sich bitte an:

ag-websolutions.de
Anja Rütten
Pannengasse 24
50181 Bedburg
Mail: info@ag-websolutions.de
Tel: +49 (0)2272 938044
Fax: +49 (0)2272 938043


9 Gewährleistung
----------------

Die Geltendmachung von Mängelansprüchen setzt bei Kaufleuten voraus, dass diese ihren gesetzlichen Untersuchungs- und Rügepflichten (§§ 377, 381 Abs. 2 HGB) nachgekommen sind. Zeigt sich bei der Untersuchung oder später ein Mangel, so ist ag-websolutions hierüber unverzüglich zu informieren. Als unverzüglich gilt die Mitteilung des Lizenznehmers, wenn sie innerhalb von zwei Wochen erfolgt, wobei zur Fristwahrung die rechtzeitige Absendung genügt. Unabhängig von dieser Untersuchungs- und Rügepflicht hat der Lizenznehmer offensichtliche Mängel innerhalb von zwei Wochen ab Kenntniserlangung schriftlich mitzuteilen, wobei auch hier zur Fristwahrung die rechtzeitige Absendung der Mitteilung genügt. Versäumt der Lizenznehmer die ordnungsgemäße Untersuchung und/oder Mängelanzeige, ist die Haftung von ag-websolutions für den nicht angezeigten offensichtlichen Mangel ausgeschlossen.

9.1 ag-websolutions gewährleistet für einen Zeitraum von zwölf Monaten ab dem Zeitpunkt der Übergabe, dass die Software hinsichtlich ihrer Funktionsweise im Wesentlichen der Programmbeschreibung in der begleitenden Dokumentation entspricht.

9.2 ag-websolutions weist darauf hin, dass es nach dem Stand der Technik nicht möglich ist, Computersoftware völlig Fehlerfrei herzustellen.

9.3 Tritt ein Programmfehler (Mangel) auf, so ist dieser in einer schriftlichen Fehlerbeschreibung und seine Erscheinungsform so genau zu beschreiben, dass eine Überprüfung des Fehlers möglich ist (z.B. durch Vorlage der Fehlermeldungen) und ein Bedienungsfehler des Anwenders ausgeschlossen werden kann.

9.4 Der Rücktritt wegen eines unerheblichen Mangels ist ausgeschlossen.

9.5 ag-websolutions wird einen Mangel innerhalb angemessener Frist nach Eingang der Mängelanzeige beheben, indem ag-websolutions nach eigener Wahl Ersatz liefert, den Mangel beseitigt oder eine bezüglich der Funktionalitäten gleichwertige Umgehungslösung anbietet. Im Rahmen dieser Nacherfüllung wird dem Lizenznehmer die um den Mangel bereinigte Software bzw. ein Patch oder Update auf demselben Wege wie die Software unter dieser Vereinbarung zur Verfügung gestellt.

9.6 Wenn der Mangel in der Systemumgebung von ag-websolutions nicht nachgestellt und analysiert werden kann, hat der Lizenznehmer nach vorheriger Absprache ag-websolutions Zugriff auf das eigene System im für die Analyse notwendigen Umfang bereit zu stellen. Eine Analyse oder Beseitigung des Mangels vor Ort beim Lizenznehmer findet nicht statt.

9.6 Schlägt die Mangelbeseitigung nach Ziff. 9.5 fehl, so kann der Lizenznehmer nach vergeblichem Ablauf einer weiteren angemessenen Nachfrist entweder vom Vertrag zurücktreten oder eine Minderung der Vergütung verlangen. Das Rücktrittsrecht besteht nicht, wenn der Mangel unerheblich ist. Die in Satz 1 beschriebenen Rechte stehen dem Lizenznehmer auch dann zu, wenn ag-websolutions eine Ersatzlieferung, Mangelbeseitigung oder Lieferung einer Umgehungslösung nach Ziff. 9.5 verweigert oder wenn dem Lizenznehmer die Ersatzlieferung, Mangelbeseitigung oder Umgehungslösung nach Ziff. 9.5 unzumutbar sind.

9.7 Stellt sich heraus, dass ein vom Lizenznehmer gerügter Fehler nicht auf einen von ag-websolutions zu vertretenden Sach- oder Rechtsmangel der Software zurückzuführen ist, sind ag-websolutions die hierdurch entstandenen Aufwendungen vom Lizenznehmer zu ersetzen. Dies gilt nicht, wenn der Lizenznehmer die unberechtigte Rüge nicht zu vertreten hat, insbesondere der Lizenznehmer nicht erkennen konnte, dass der gerügte Fehler nicht ag-websolutions zu vertreten ist. Ein Verschulden etwaiger vom Lizenznehmer im Zusammenhang mit der Installation und/oder dem Betrieb der Software beauftragter Dritter muss sich der Lizenznehmer wie eigenes Verschulden zurechnen lassen.


10 Haftungsbeschränkung
-----------------------

10.1 ag-websolutions haftet nur für vorsätzlich und grob fahrlässig verursachte Schäden und nur soweit es gesetzlich zwingend vorgeschrieben ist. Dabei ist die Haftung für direkte oder indirekte Folgeschäden, Vermögensschäden, entgangenen Gewinn oder Schäden aufgrund Betriebsunterbrechung ausgeschlossen.

10.2 ag-websolutions übernimmt keine Haftung für Schäden, die durch Fehler, Mängel oder unsachgemäße Installation von Fremd-Software entstehen.

10.3 Mängelhaftungsansprüche des Lizenznehmers entfallen, wenn dieser ohne vorherige Zustimmung von ag-websolutions Änderungen an der Software vorgenommen oder durch einen Dritten hat vornehmen lassen oder die Software vom Lizenznehmer zu einem nicht vom Lizenzvertrag gedeckten Zweck eingesetzt wird und wenn die Änderung oder die vertragswidrige Nutzung für das Auftreten des Mangels allein verantwortlich sind.

10.4 Die verschuldensunabhängige Haftung von ag-websolutions für im Zeitpunkt des zur Verfügung Stellens der Software vorhandene Mängel ist ausgeschlossen.

10.5 Auf Schadensersatz haftet ag-websolutions gleich aus welchem Rechtsgrund bei Vorsatz und grober Fahrlässigkeit unbeschränkt. Bei einfacher Fahrlässigkeit haftet ag-websolutions nur für Schäden aus der Verletzung des Lebens, des Körpers oder der Gesundheit, sowie für Schäden aus der Verletzung einer Vertragspflicht, deren Erfüllung die ordnungsgemäße Durchführung des Vertrags überhaupt erst ermöglicht und auf deren Einhaltung die andere Partei regelmäßig vertraut oder vertrauen darf. Bei der Verletzung einer solchen wesentlichen Vertragspflicht ist die Haftung auf den Ersatz des vorhersehbaren, typischerweise eintretenden Schadens bis zum 3-fachen Wert der Lizenz begrenzt und die Haftung für vorhersehbare mittelbare Schäden, insbesondere entgangenen Gewinn, ausgeschlossen. Die Haftungsbeschränkungen gelten nicht bei Arglist sowie bei Ansprüchen nach dem Produkthaftungsgesetz.

10.6 Der Lizenznehmer ist in einem ihm zumutbaren Umfang zur regelmäßigen Sicherung seiner Daten verpflichtet. Die Häufigkeit der Datensicherungen bestimmt der Lizenznehmer eigenverantwortlich in Ausübung der Sorgfalt eines gewissenhaften Kaufmanns. Die Haftung von ag-websolutions für Datenverluste wird auf den typischen Wiederherstellungsaufwand beschränkt, der bei regelmäßiger und gefahrentsprechender Anfertigung der Datensicherungen durch den Lizenznehmer eingetreten wäre. Die unbeschränkte Haftung von ag-websolutions in den in Ziff. 10.5 bezeichneten Fällen bleibt hiervon unberührt.


11 Rechte Dritter
-----------------

11.1 Macht ein Dritter gegenüber dem Lizenznehmer geltend, dass durch die Software Rechte dieses Dritten verletzt werden, wird der Lizenznehmer ag-websolutions hierüber unverzüglich benachrichtigen. Der Lizenznehmer ist nicht berechtigt, derartige Ansprüche Dritter anzuerkennen, bevor er ag-websolutions eine angemessene Möglichkeit gegeben hat, die vom Dritten geltend gemachten Ansprüche auf andere Art und Weise abzuwehren.

11.2 Werden durch die Software tatsächlich Rechte Dritter verletzt, wird ag-websolutions nach eigener Wahl und auf eigene Kosten unter Berücksichtigung der Interessen des Lizenznehmers entweder dem Lizenznehmer die erforderlichen Nutzungsrechte am betroffenen Recht des Dritten verschaffen oder die Software so umgestalten, dass diese nicht mehr das betroffene Recht des Dritten verletzt. Ist dies nicht möglich, gilt Ziff. 9 entsprechend.

11.3 Mängelhaftungsansprüche des Lizenznehmers bleiben unberührt.


12 Testversionen
----------------

12.1 Vor Erwerb einer Lizenz hat der eventuelle Lizenznehmer die Möglichkeit, eine kostenfreie Testversion der jeweiligen Software zu erhalten. Der Einsatz und die Verwendung einer Testversion ist zeitlich auf 10 Tage nach Erst-Installation beschränkt. Mit Ausnahme dieser zeitlichen Beschränkung entspricht die Testversion in vollem Funktionsumfang der zu lizenzierenden Software. Die Testversion ist in einer Serverumgebung anzuwenden der weder den Arbeitsablauf des eventuellen Lizenznehmers in irgend einer Weise behindert und/oder gefährdet bzw. die Integrität oder Sicherheit von Daten oder andere Software-Produkte, gleichgültig welcher Art behindert und/oder gefährdet.

12.2 Bei Testversionen ist eine Gewährleistung gem. Ziff. 9 und ein Anspruch auf Haftung gem. Ziff. 10. seitens ag-websolutions ausdrücklich ausgeschlossen.

12.3 Sofern innerhalb der Testphase eine kostenpflichtige Voll-Lizenz erworben wird, wandelt sich automatisch nach Ablauf der Testphase die registrierte Test-Lizenz auf eine Voll-Lizenz. Eine Neuinstallation ist zum Wechselzeitpunkt nicht erforderlich.


13 Schlussbestimmungen
----------------------

13.1 Sollten einzelne Klauseln in diesem Vertrag unwirksam sein oder werden, so berührt dies die Gültigkeit der übrigen Bestimmungen nicht. An die Stelle der nichtigen Klausel tritt dasjenige, was dem gewollten Zweck der Vertragsparteien am nächsten kommt.

13.2 Diese Vereinbarung enthält alle Absprachen. Mündliche Nebenabreden sind nicht getroffen. Vertragsänderungen bedürfen der Schriftform.

13.3 Gerichtsstand ist, soweit gesetzlich zulässig, Bergheim.

13.4 Es gilt deutsches Recht.


Dieses Softwarepaket nutzt folgende Drittsoftware, deren Rechte nicht ag-websolutions.de gehören:
- jQuery Validation Plugin v1.14.0, by Jörn Zaefferer, MIT