<?php
require_once $oPlugin->cAdminmenuPfad . 'inc/class.agws_plugin_all.helper.php';

$helper = agwsPluginHelperAll::getInstance($oPlugin);

if ($helper->isShop4()) {
    $smarty = Shop::Smarty();
} else {
    global $smarty;
}

if ($helper->gibSeiten__Typ() == PAGE_ARTIKEL)
{
    if ($oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_control'] != "off")
    {
        switch ($oPlugin->nCalledHook)
        {
            case HOOK_LETZTERINCLUDE_INC: //hook 99
                global $smarty;
                $agws_xselltab_html="";

                /*Debug und Lizenzprfung*/
                if (file_exists($oPlugin->cLicencePfad . 'licence.main.php')) {
                    include_once($oPlugin->cLicencePfad . 'licence.main.php');

                } else {

                    $agws_debug_syslog = $oPlugin->cPluginID . '_debug_syslog';
                    $agws_debug_syslog = intval($oPlugin->oPluginEinstellungAssoc_arr[$agws_debug_syslog]);

                    if ($agws_debug_syslog == 1)
                        Jtllog::writeLog('### AGWS - ' . $oPlugin->cPluginID . ' - licence.main.php nicht verf&uuml;gbar. Plugin wird deaktiviert.', JTLLOG_LEVEL_ERROR, false, "kPlugin", $oPlugin->kPlugin);

                    aenderPluginStatus('1', $oPlugin->kPlugin);

                    if ($helper->isShop4()) {
                        aenderPluginStatus('3', $oPlugin->kPlugin);
                        Shop::Cache()->flushTags(array(CACHING_GROUP_CORE, CACHING_GROUP_LANGUAGE, CACHING_GROUP_PLUGIN));
                    }

                    exit();
                }
                /*Debug und Lizenzprfung*/

                require_once($oPlugin->cFrontendPfad . "includes/agws_xselltab_pro_inc.php");
                $agws_xselltab_pro_doit = false;
                $agws_xselltab_arr_katlink_text = "";
                $oArtikelXSell = $smarty->get_template_vars('Artikel');
                $PluginEinstellungen_arr = $GLOBALS['DB']->executeQuery("SELECT * FROM tplugineinstellungen WHERE kPlugin = " . $oPlugin->kPlugin, 9);
                foreach ($PluginEinstellungen_arr as $einstellung_arr) {

                    $PluginEinstellung[$einstellung_arr['cName']] = $einstellung_arr['cWert'];
                }
                $smarty->assign("PluginEinstellungen", $PluginEinstellung);
                $smarty->assign("oPlugin_agws_xselltab_pro", $oPlugin);
                $smarty->assign("agws_xselltab_pro_detailbutton", $oPlugin->oPluginSprachvariableAssoc_arr['agws_xselltab_pro_lang_detailbutton']);

                switch ($oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_katart_sort']) {
                    case "1":
                        $agws_xselltab_pro_sortby = "tartikel.cName ASC";
                        break;
                    case "2":
                        $agws_xselltab_pro_sortby = "tartikel.cName DESC";
                        break;
                    case "3":
                        $agws_xselltab_pro_sortby = "tartikel.cArtNr ASC";
                        break;
                    case "4":
                        $agws_xselltab_pro_sortby = "tartikel.cArtNr DESC";
                        break;
                    case "5":
                        $agws_xselltab_pro_sortby = "tartikel.kArtikel ASC";
                        break;
                    case "6":
                        $agws_xselltab_pro_sortby = "tartikel.kArtikel DESC";
                        break;
                }

                if ($oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_control'] == "xsell" || $oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_control'] == "mixed") {
                    $oXSelling = gibArtikelXSellingPro($oArtikelXSell->kArtikel, $agws_xselltab_pro_sortby);
                    if (isset($oXSelling->Standard->XSellGruppen) && count($oXSelling->Standard->XSellGruppen) >= 1) {
                        $oXSelling->katlink_text = "";
                        $oXSelling->katlink_id = "";
                        $smarty->assign("oXSelling_desktop", $oXSelling);
                        $smarty->assign("oXSelling_mobile", $oXSelling);
                        if (file_exists($oPlugin->cFrontendPfad . 'jquery_tpl/agws_xselltab_pro_registertab_custom.tpl')) {
                            $agws_xselltab_html .= $smarty->fetch($oPlugin->cFrontendPfad . 'jquery_tpl/agws_xselltab_pro_registertab_custom.tpl');
                        } else {
                            $agws_xselltab_html .= $smarty->fetch($oPlugin->cFrontendPfad . 'jquery_tpl/agws_xselltab_pro_registertab.tpl');
                        }
                        $agws_xselltab_pro_doit = true;
                    }
                }

                if ($oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_control'] == "attribut" || $oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_control'] == "mixed") {
                    $oXSelling = new stdClass;
                    $zz = 0;
                    $ii = 0;
                    $suchmuster = '(^intern_agws_xselltab([0-9]+)$)';
                    foreach ($oArtikelXSell->AttributeAssoc as $key => $cAttAktArtikel) {
                        if (preg_match($suchmuster, $key)) {
                            /**
                             * Test||Freitext||KAT-ID||E1||E2||En
                             * [0]: Test = Reiter-Titel
                             * [1]: Freitext = Text der in der Registerkarte vor Auflistung der Artikel angezeigt wird
                             * [2]: KAT-ID = Kategorie-ID
                             * [3-n]: E1, E2, En = einzelne Artikel-Nr. die angezeigt werden sollen
                             **/
                            $agws_ArtikelAttribut_arr = explode("||", $cAttAktArtikel);
                            //Tabtitle = XSell-Gruppen-Name
                            $oXSelling->Standard->XSellGruppen[$ii]->Name = $agws_ArtikelAttribut_arr[0];
                            //Pretext = XSell-Gruppen-Beschreibung
                            if ($agws_ArtikelAttribut_arr[2] != "" && $agws_ArtikelAttribut_arr[1] == "KATDESC") {
                                $agws_xselltab_prekat = holeKategorieBeschreibung($agws_ArtikelAttribut_arr[2]);
                                $agws_xselltab_arr_pretext = $agws_xselltab_prekat->cBeschreibung;
                            } else {
                                $agws_xselltab_arr_pretext = $agws_ArtikelAttribut_arr[1];
                            }
                            $oXSelling->Standard->XSellGruppen[$ii]->Beschreibung = $agws_xselltab_arr_pretext;
                            //KAT-ID und Kat-Link
                            $agws_xselltab_arr_katid = $agws_ArtikelAttribut_arr[2];
                            if ($agws_xselltab_arr_katid != "") {
                                $agws_xselltab_arr_katid_artikel = holeKategorieArtikelID($agws_xselltab_arr_katid, $oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_xselltabs_katart_anz'], $agws_xselltab_pro_sortby);

                                if ($oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_xselltabs_katlink'] == "1") {
                                    $oXSelling->katlink_text = $oPlugin->oPluginSprachvariableAssoc_arr['agws_xselltab_pro_lang_katlink'];
                                    $oXSelling->katlink_id = $agws_xselltab_arr_katid;
                                }
                            }
                            foreach ($agws_ArtikelAttribut_arr as $i => $agws_ArtikelAttribut_arr) {
                                if ($i >= 3) {
                                    $agws_xselltab_arr_ArtikelID = holeArtikelID($agws_ArtikelAttribut_arr);
                                    $oXSelling->Standard->XSellGruppen[$ii]->Artikel[$zz] = fuelleXsellArtikel($agws_xselltab_arr_ArtikelID);
                                    $zz = $zz + 1;
                                }
                            }
                            if ($agws_xselltab_arr_katid_artikel != "") {
                                foreach ($agws_xselltab_arr_katid_artikel as $xsellKatArtikel_arr) {
                                    $oXSelling->Standard->XSellGruppen[$ii]->Artikel[$zz] = fuelleXsellArtikel($xsellKatArtikel_arr->kArtikel);
                                    $zz = $zz + 1;
                                }
                            }
                            $ii = $ii + 1;
                        }
                    }
                    $smarty->assign("oXSelling_desktop", $oXSelling);
                    $smarty->assign("oXSelling_mobile", $oXSelling);
                    if (file_exists($oPlugin->cFrontendPfad . 'jquery_tpl/agws_xselltab_pro_registertab_custom.tpl')) {
                        $agws_xselltab_html .= $smarty->fetch($oPlugin->cFrontendPfad . 'jquery_tpl/agws_xselltab_pro_registertab_custom.tpl');
                    } else {
                        $agws_xselltab_html .= $smarty->fetch($oPlugin->cFrontendPfad . 'jquery_tpl/agws_xselltab_pro_registertab.tpl');
                    }

                    $agws_xselltab_pro_doit = true;
                }
                if ($agws_xselltab_pro_doit)
                {
                    $agws_xselltab_html = '<div id="xselltab_pro_wrapper">' . $agws_xselltab_html . '</div>';
                }
                    function agws_xselltab_pro_do99($tpl_output, &$smarty)
                    {
                        $tpl_output = str_replace("</head>", $smarty->get_template_vars('agws_xselltab_pro_99_head') . "</head>", $tpl_output);
                        $tpl_output = str_replace("</body>", $smarty->get_template_vars('agws_xselltab_pro_99_body') . "</body>", $tpl_output);
                        $tpl_output = str_replace("</body>", $smarty->get_template_vars('agws_xselltab_pro_99_body2') . "</body>", $tpl_output);

                        return $tpl_output;
                    }

                    $smarty->assign('agws_xselltab_pro_css_sel', $oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_css_sel']);
                    $smarty->assign('agws_xselltab_pro_pq_met', $oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_pq_met']);
                    $smarty->assign('agws_xselltab_pro_std_xselling_box', $oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_std_xselling_box']);

                    $smarty->assign('agws_xselltab_pro_99_body2', $smarty->fetch($oPlugin->cFrontendPfad . 'jquery_tpl/agws_xselltab_pro_jquery.tpl'));

                    if (file_exists($oPlugin->cFrontendPfad . 'jquery_tpl/css/agws_xselltab_pro_custom.css')) {
                        $agws_xselltab_css_custom = '<link type="text/css" href="' . PFAD_PLUGIN . $oPlugin->cVerzeichnis . '/' . PFAD_PLUGIN_VERSION . $oPlugin->nVersion . '/' . PFAD_PLUGIN_FRONTEND . 'jquery_tpl/css/agws_xselltab_pro_custom.css" rel="stylesheet" />';
                        $smarty->assign('agws_xselltab_pro_99_head', $agws_xselltab_css_custom);
                    }
                    $smarty->assign('agws_xselltab_pro_99_body', $agws_xselltab_html);

                    $smarty->register_outputfilter('agws_xselltab_pro_do99');

                break;

            case HOOK_TOOLSAJAXSERVER_PAGE_TAUSCHEVARIATIONKOMBI: //hook 45


                require_once($oPlugin->cFrontendPfad . "includes/agws_xselltab_pro_inc.php");
                $agws_xselltab_pro_doit = false;
                $agws_xselltab_arr_katlink_text = "";
                $oArtikelXSell = $args_arr['oArtikel'];
                $PluginEinstellungen_arr = $GLOBALS['DB']->executeQuery("SELECT * FROM tplugineinstellungen WHERE kPlugin = " . $oPlugin->kPlugin, 9);
                foreach ($PluginEinstellungen_arr as $einstellung_arr) {

                    $PluginEinstellung[$einstellung_arr['cName']] = $einstellung_arr['cWert'];
                }

                $smarty->assign("PluginEinstellungen", $PluginEinstellung);
                $smarty->assign("oPlugin_agws_xselltab_pro", $oPlugin);
                $smarty->assign("agws_xselltab_pro_detailbutton", $oPlugin->oPluginSprachvariableAssoc_arr['agws_xselltab_pro_lang_detailbutton']);

                switch ($oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_katart_sort']) {
                    case "1":
                        $agws_xselltab_pro_sortby = "tartikel.cName ASC";
                        break;
                    case "2":
                        $agws_xselltab_pro_sortby = "tartikel.cName DESC";
                        break;
                    case "3":
                        $agws_xselltab_pro_sortby = "tartikel.cArtNr ASC";
                        break;
                    case "4":
                        $agws_xselltab_pro_sortby = "tartikel.cArtNr DESC";
                        break;
                    case "5":
                        $agws_xselltab_pro_sortby = "tartikel.kArtikel ASC";
                        break;
                    case "6":
                        $agws_xselltab_pro_sortby = "tartikel.kArtikel DESC";
                        break;
                }

                if ($oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_control'] == "xsell" || $oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_control'] == "mixed") {
                    $oXSelling = gibArtikelXSellingPro($oArtikelXSell->kVariKindArtikel, $agws_xselltab_pro_sortby);
                    if (isset($oXSelling->Standard->XSellGruppen) && count($oXSelling->Standard->XSellGruppen) >= 1) {
                        $oXSelling->katlink_text = "";
                        $oXSelling->katlink_id = "";
                        $smarty->assign("oXSelling_desktop", $oXSelling);
                        $smarty->assign("oXSelling_mobile", $oXSelling);
                        if (file_exists($oPlugin->cFrontendPfad . 'jquery_tpl/agws_xselltab_pro_registertab_custom.tpl')) {
                            $agws_xselltab_html .= $smarty->fetch($oPlugin->cFrontendPfad . 'jquery_tpl/agws_xselltab_pro_registertab_custom.tpl');
                        } else {
                            $agws_xselltab_html .= $smarty->fetch($oPlugin->cFrontendPfad . 'jquery_tpl/agws_xselltab_pro_registertab.tpl');
                        }
                        $agws_xselltab_pro_doit = true;
                    }
                }

                if ($oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_control'] == "attribut" || $oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_control'] == "mixed") {
                    $oXSelling = new stdClass;
                    $zz = 0;
                    $ii = 0;
                    $suchmuster = '(^intern_agws_xselltab([0-9]+)$)';
                    foreach ($oArtikelXSell->AttributeAssoc as $key => $cAttAktArtikel) {
                        if (preg_match($suchmuster, $key)) {
                            /**
                             * Test||Freitext||KAT-ID||E1||E2||En
                             * [0]: Test = Reiter-Titel
                             * [1]: Freitext = Text der in der Registerkarte vor Auflistung der Artikel angezeigt wird
                             * [2]: KAT-ID = Kategorie-ID
                             * [3-n]: E1, E2, En = einzelne Artikel-Nr. die angezeigt werden sollen
                             **/

                            $agws_ArtikelAttribut_arr = explode("||", $cAttAktArtikel);
                            //Tabtitle = XSell-Gruppen-Name
                            $oXSelling->Standard->XSellGruppen[$ii]->Name = $agws_ArtikelAttribut_arr[0];
                            //Pretext = XSell-Gruppen-Beschreibung
                            if ($agws_ArtikelAttribut_arr[2] != "" && $agws_ArtikelAttribut_arr[1] == "KATDESC") {
                                $agws_xselltab_prekat = holeKategorieBeschreibung($agws_ArtikelAttribut_arr[2]);
                                $agws_xselltab_arr_pretext = $agws_xselltab_prekat->cBeschreibung;
                            } else {
                                $agws_xselltab_arr_pretext = $agws_ArtikelAttribut_arr[1];
                            }
                            $oXSelling->Standard->XSellGruppen[$ii]->Beschreibung = $agws_xselltab_arr_pretext;
                            //KAT-ID und Kat-Link
                            $agws_xselltab_arr_katid = $agws_ArtikelAttribut_arr[2];
                            if ($agws_xselltab_arr_katid != "") {
                                $agws_xselltab_arr_katid_artikel = holeKategorieArtikelID($agws_xselltab_arr_katid, $oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_xselltabs_katart_anz'], $agws_xselltab_pro_sortby);

                                if ($oPlugin->oPluginEinstellungAssoc_arr['agws_xselltab_pro_xselltabs_katlink'] == "1") {
                                    $oXSelling->katlink_text = $oPlugin->oPluginSprachvariableAssoc_arr['agws_xselltab_pro_lang_katlink'];
                                    $oXSelling->katlink_id = $agws_xselltab_arr_katid;
                                }
                            }
                            foreach ($agws_ArtikelAttribut_arr as $i => $agws_ArtikelAttribut_arr) {
                                if ($i >= 3) {
                                    $agws_xselltab_arr_ArtikelID = holeArtikelID($agws_ArtikelAttribut_arr);
                                    $oXSelling->Standard->XSellGruppen[$ii]->Artikel[$zz] = fuelleXsellArtikel($agws_xselltab_arr_ArtikelID);
                                    $zz = $zz + 1;
                                }
                            }
                            if ($agws_xselltab_arr_katid_artikel != "") {
                                foreach ($agws_xselltab_arr_katid_artikel as $xsellKatArtikel_arr) {
                                    $oXSelling->Standard->XSellGruppen[$ii]->Artikel[$zz] = fuelleXsellArtikel($xsellKatArtikel_arr->kArtikel);
                                    $zz = $zz + 1;
                                }
                            }
                            $ii = $ii + 1;
                        }
                    }
                    $smarty->assign("oXSelling_desktop", $oXSelling);
                    $smarty->assign("oXSelling_mobile", $oXSelling);
                    if (file_exists($oPlugin->cFrontendPfad . 'jquery_tpl/agws_xselltab_pro_registertab_custom.tpl')) {
                        $agws_xselltab_html .= $smarty->fetch($oPlugin->cFrontendPfad . 'jquery_tpl/agws_xselltab_pro_registertab_custom.tpl');
                    } else {
                        $agws_xselltab_html .= $smarty->fetch($oPlugin->cFrontendPfad . 'jquery_tpl/agws_xselltab_pro_registertab.tpl');
                    }

                    $agws_xselltab_pro_doit = true;
                }

                if ($agws_xselltab_pro_doit) {
                    $agws_xselltab_html = '<div id="xselltab_pro_wrapper">' . $agws_xselltab_html . '</div>';
                    $args_arr['objResponse']->append("footer_wrapper", "innerHTML",$agws_xselltab_html );
                    $args_arr['objResponse']->script('agws_xselltab_pro_varichild();');
					$args_arr['objResponse']->script('register_popups();');
                    }

                break;

        }
    }
}